//these are the only two variables you need to edit!

//change this to your desired skincolors
local flashColors = {
	skincolors[SKINCOLOR_USER],
	skincolors[SKINCOLOR_CONTESTWINNER],
	skincolors[SKINCOLOR_JUDGE],
	skincolors[SKINCOLOR_MODERATOR],
	skincolors[SKINCOLOR_DEVELOPER],
	skincolors[SKINCOLOR_ADMINISTRATOR],
	skincolors[SKINCOLOR_SONICFOREVER],
	skincolors[SKINCOLOR_TAILSFOREVER],
	skincolors[SKINCOLOR_KNUCKLESFOREVER],
	skincolors[SKINCOLOR_AMYFOREVER],
	skincolors[SKINCOLOR_FANGFOREVER],
	skincolors[SKINCOLOR_SONICANGEL],
	skincolors[SKINCOLOR_TAILSANGEL],
	skincolors[SKINCOLOR_KNUCKLESANGEL],
	skincolors[SKINCOLOR_AMYANGEL],
	skincolors[SKINCOLOR_FANGANGEL],
	skincolors[SKINCOLOR_BROWNFOREVER],
	skincolors[SKINCOLOR_CTRNITROFUELED],
	skincolors[SKINCOLOR_DEPRESSIO],
	skincolors[SKINCOLOR_CREAM],
	skincolors[SKINCOLOR_DOUGH],
	skincolors[SKINCOLOR_WOLF],
	skincolors[SKINCOLOR_BANAN],
	skincolors[SKINCOLOR_GREENFLOWERWALL],
	skincolors[SKINCOLOR_FANGTASTICCOLOR],
	skincolors[SKINCOLOR_STATUE],
	skincolors[SKINCOLOR_REALBLACK],
	skincolors[SKINCOLOR_BORNINGGRAYDAYS],
	skincolors[SKINCOLOR_PURPLEFOREVER],
	skincolors[SKINCOLOR_SUBDREAM],
	skincolors[SKINCOLOR_WEREHOG]
}
local flashDelay = 1 //change this to how many tics it takes to animate

local rampPos = 1
local rampDir = true
local ramps = {}

for curcol = 1, table.maxn(flashColors), 1
	//convert the ramp to a table
	ramps[curcol] = {{}}
	for i = 0, 15, 1
		ramps[curcol][1][i+1] = flashColors[curcol].ramp[i]
	end

	//create the offset versions of the ramp
	for i = 2, 16,1
		ramps[curcol][i] = {{}}

		for pos,val in ipairs(ramps[curcol][i-1]) do
			if not (pos == 16) then
				ramps[curcol][i][pos+1] = val
			else
				ramps[curcol][i][1] = val
			end
		end
	end
end

local function RampWave()
	if not (leveltime % flashDelay) then

		rampPos = $1+1
		
		//too high, time to go back
		if not (ramps[1][rampPos])
			rampPos = 1
		end
		
		for i = 1, table.maxn(ramps), 1
			flashColors[i].ramp = ramps[i][rampPos]
		end
	end
end

addHook("ThinkFrame", RampWave)