//this is used for defining the colors used as examples for the effect
freeslot(
"SKINCOLOR_USER",
"SKINCOLOR_CONTESTWINNER",
"SKINCOLOR_JUDGE",
"SKINCOLOR_MODERATOR",
"SKINCOLOR_DEVELOPER",
"SKINCOLOR_ADMINISTRATOR",
"SKINCOLOR_SONICFOREVER",
"SKINCOLOR_TAILSFOREVER",
"SKINCOLOR_KNUCKLESFOREVER",
"SKINCOLOR_AMYFOREVER",
"SKINCOLOR_FANGFOREVER",
"SKINCOLOR_SONICANGEL",
"SKINCOLOR_TAILSANGEL",
"SKINCOLOR_KNUCKLESANGEL",
"SKINCOLOR_AMYANGEL",
"SKINCOLOR_FANGANGEL",
"SKINCOLOR_BROWNFOREVER",
"SKINCOLOR_CTRNITROFUELED",
"SKINCOLOR_DEPRESSIO",
"SKINCOLOR_CREAM",
"SKINCOLOR_DOUGH",
"SKINCOLOR_WOLF",
"SKINCOLOR_BANAN",
"SKINCOLOR_GREENFLOWERWALL",
"SKINCOLOR_FANGTASTICCOLOR",
"SKINCOLOR_STATUE",
"SKINCOLOR_REALBLACK",
"SKINCOLOR_BORNINGGRAYDAYS",
"SKINCOLOR_PURPLEFOREVER",
"SKINCOLOR_SUBDREAM",
"SKINCOLOR_WEREHOG"
)

skincolors[SKINCOLOR_USER] = {
	name = "User",
	ramp = {16,17,18,19,20,21,22,23,23,22,21,20,19,18,17,16},
	invcolor = SKINCOLOR_WHITE,
	invshade = 9,
	chatcolor = V_WHITEMAP,
	accessible = true
}

skincolors[SKINCOLOR_CONTESTWINNER] = {
	name = "Contest Winner",
	ramp = {79,78,77,76,75,74,74,72,72,72,74,74,75,76,77,78},
	invcolor = SKINCOLOR_CORNFLOWER,
	invshade = 9,
	chatcolor = V_YELLOWMAP,
	accessible = true
}

skincolors[SKINCOLOR_JUDGE] = {
	name = "Judge",
	ramp = {184,183,182,181,180,179,178,177,176,177,178,179,181,182,183,184},
	invcolor = SKINCOLOR_LIME,
	invshade = 9,
	chatcolor = V_ROSYMAP,
	accessible = true
}

skincolors[SKINCOLOR_MODERATOR] = {
	name = "Moderator",
	ramp = {100,101,102,103,104,105,106,107,108,107,106,105,104,103,102,101},
	invcolor = SKINCOLOR_RED,
	invshade = 9,
	chatcolor = V_GREENMAP,
	accessible = true
}

skincolors[SKINCOLOR_ADMINISTRATOR] = {
	name = "Administrator",
	ramp = {183,184,184,185,185,186,186,187,187,187,186,186,185,185,184,184},
	invcolor = SKINCOLOR_CERULEAN,
	invshade = 9,
	chatcolor = V_PURPLEMAP,
	accessible = true
}

skincolors[SKINCOLOR_DEVELOPER] = {
	name = "Developer",
	ramp = {54,55,56,57,58,59,60,61,62,61,60,59,58,57,56,55},
	invcolor = SKINCOLOR_BLUE,
	invshade = 9,
	chatcolor = V_ORANGEMAP,
	accessible = true
}

skincolors[SKINCOLOR_SONICFOREVER] = {
	name = "Sonic Forever",
	ramp = {144,147,150,153,156,159,26,29,31,28,25,159,156,153,150,147},
	invcolor = SKINCOLOR_ORANGE,
	invshade = 9,
	chatcolor = V_BLUEMAP,
	accessible = true
}

skincolors[SKINCOLOR_TAILSFOREVER] = {
	name = "Tails Forever",
	ramp = {48,51,54,57,60,63,26,29,31,28,25,63,60,57,54,51},
	invcolor = SKINCOLOR_BLUE,
	invshade = 9,
	chatcolor = V_ORANGEMAP,
	accessible = true
}

skincolors[SKINCOLOR_KNUCKLESFOREVER] = {
	name = "Knuckles Forever",
	ramp = {32,34,37,40,43,46,27,29,31,28,27,46,43,40,34,32},
	invcolor = SKINCOLOR_GREEN,
	invshade = 9,
	chatcolor = V_REDMAP,
	accessible = true
}

skincolors[SKINCOLOR_AMYFOREVER] = {
	name = "Amy Forever",
	ramp = {252,200,202,204,206,207,26,29,31,28,25,207,206,204,202,200},
	invcolor = SKINCOLOR_AQUA,
	invshade = 9,
	chatcolor = V_ROSYMAP,
	accessible = true
}

skincolors[SKINCOLOR_FANGFOREVER] = {
	name = "Fang Forever",
	ramp = {192,194,196,197,198,199,26,29,31,28,25,199,198,197,196,194},
	invcolor = SKINCOLOR_GOLD,
	invshade = 9,
	chatcolor = V_PURPLEMAP,
	accessible = true
}

skincolors[SKINCOLOR_SONICANGEL] = {
	name = "Sonic Angel",
	ramp = {159,156,153,150,147,144,6,3,0,3,6,144,147,150,153,156},
	invcolor = SKINCOLOR_ORANGE,
	invshade = 9,
	chatcolor = V_BLUEMAP,
	accessible = true
}

skincolors[SKINCOLOR_TAILSANGEL] = {
	name = "Tails Angel",
	ramp = {63,60,57,54,51,48,6,3,0,3,6,48,51,54,57,60},
	invcolor = SKINCOLOR_BLUE,
	invshade = 9,
	chatcolor = V_ORANGEMAP,
	accessible = true
}

skincolors[SKINCOLOR_KNUCKLESANGEL] = {
	name = "Knuckles Angel",
	ramp = {46,43,40,37,34,32,6,3,0,3,6,32,34,37,40,43},
	invcolor = SKINCOLOR_GREEN,
	invshade = 9,
	chatcolor = V_REDMAP,
	accessible = true
}

skincolors[SKINCOLOR_AMYANGEL] = {
	name = "Amy Angel",
	ramp = {207,206,204,202,200,252,6,3,0,3,6,252,200,202,204,206},
	invcolor = SKINCOLOR_AQUA,
	invshade = 9,
	chatcolor = V_ROSYMAP,
	accessible = true
}

skincolors[SKINCOLOR_FANGANGEL] = {
	name = "Fang Angel",
	ramp = {199,198,197,196,194,192,6,3,0,3,6,192,194,196,197,198},
	invcolor = SKINCOLOR_GOLD,
	invshade = 9,
	chatcolor = V_PURPLEMAP,
	accessible = true
}

skincolors[SKINCOLOR_BROWNFOREVER] = {
	name = "Brown Forever",
	ramp = {225,227,229,231,233,235,237,239,239,237,235,233,231,229,227,225},
	invcolor = SKINCOLOR_KETCHUP,
	invshade = 9,
	chatcolor = V_BROWNMAP,
	accessible = true
}

skincolors[SKINCOLOR_CTRNITROFUELED] = {
	name = "CTR: Nitro Fueled",
	ramp = {120,122,124,126,137,138,169,168,167,166,165,149,148,147,146,129},
	invcolor = SKINCOLOR_MINT,
	invshade = 9,
	chatcolor = V_SKYMAP,
	accessible = true
}

skincolors[SKINCOLOR_DEPRESSIO] = {
	name = "Tea and some Milk",
	ramp = {251,250,249,248,247,246,245,244,243,242,241,240,241,242,243,244},
	invcolor = SKINCOLOR_AZURE,
	invshade = 9,
	chatcolor = V_AZUREMAP,
	accessible = true
}

skincolors[SKINCOLOR_CREAM] = {
	name = "Cream",
	ramp = {215,214,213,212,211,210,209,208,208,209,210,211,212,213,214,215},
	invcolor = SKINCOLOR_RUST,
	invshade = 9,
	chatcolor = V_ROSYMAP,
	accessible = true
}

skincolors[SKINCOLOR_DOUGH] = {
	name = "Dough",
	ramp = {225,224,223,222,221,220,219,218,218,219,220,221,222,223,224,225},
	invcolor = SKINCOLOR_BEIGE,
	invshade = 9,
	chatcolor = V_BROWNMAP,
	accessible = true
}

skincolors[SKINCOLOR_WOLF] = {
	name = "Wolf",
	ramp = {170,171,172,173,174,175,169,187,187,169,175,174,173,172,171,170},
	invcolor = SKINCOLOR_PERIDOT,
	invshade = 9,
	chatcolor = V_BLUEMAP,
	accessible = true
}

skincolors[SKINCOLOR_BANAN] = {
	name = "Banana",
	ramp = {80,81,82,83,72,64,65,66,66,65,64,72,83,82,81,80},
	invcolor = SKINCOLOR_CORNFLOWER,
	invshade = 9,
	chatcolor = V_YELLOWMAP,
	accessible = true
}

skincolors[SKINCOLOR_GREENFLOWERWALL] = {
	name = "Grennflower wall... wait, what?",
	ramp = {64,65,66,67,68,69,70,71,71,70,69,68,67,66,65,64},
	invcolor = SKINCOLOR_BLUEBELL,
	invshade = 9,
	chatcolor = V_ORANGEMAP,
	accessible = true
}

skincolors[SKINCOLOR_FANGTASTICCOLOR] = {
	name = "FANGtastic Color",
	ramp = {199,198,197,196,195,194,193,192,180,181,182,183,184,185,186,187},
	invcolor = SKINCOLOR_GOLD,
	invshade = 9,
	chatcolor = V_PURPLEMAP,
	accessible = true
}

skincolors[SKINCOLOR_STATUE] = {
	name = "Like a Statue",
	ramp = {87,86,85,84,83,82,81,80,216,217,218,219,220,221,222,223},
	invcolor = SKINCOLOR_BROWN,
	invshade = 9,
	chatcolor = V_AZUREMAP,
	accessible = true
}

skincolors[SKINCOLOR_REALBLACK] = {
	name = "Real Black",
	ramp = {31,30,29,28,27,26,25,24,24,25,26,27,28,29,30,31},
	invcolor = SKINCOLOR_WHITE,
	invshade = 9,
	chatcolor = V_WHITEMAP,
	accessible = true
}

skincolors[SKINCOLOR_BORNINGGRAYDAYS] = {
	name = "Boring Gray Days",
	ramp = {15,14,13,12,11,10,9,8,8,9,10,11,12,13,14,15},
	invcolor = SKINCOLOR_CLOUDY,
	invshade = 9,
	chatcolor = V_WHITEMAP,
	accessible = true
}

skincolors[SKINCOLOR_PURPLEFOREVER] = {
	name = "Purple is not Forever",
	ramp = {159,157,155,153,166,165,164,163,163,164,165,166,153,155,157,159},
	invcolor = SKINCOLOR_GOLD,
	invshade = 9,
	chatcolor = V_MAGENTAMAP,
	accessible = true
}

skincolors[SKINCOLOR_SUBDREAM] = {
	name = "Submariner's Dream",
	ramp = {120,121,122,123,124,125,126,127,127,126,125,124,123,122,121,120},
	invcolor = SKINCOLOR_ROSY,
	invshade = 9,
	chatcolor = V_SKYMAP,
	accessible = true
}

skincolors[SKINCOLOR_WEREHOG] = {
	name = "Werehog",
	ramp = {146,147,148,149,150,137,138,139,139,138,137,150,149,148,147,146},
	invcolor = SKINCOLOR_LILAC,
	invshade = 9,
	chatcolor = V_BLUEMAP,
	accessible = true
}